import App from './App'
import pinia from '@/stores/index'
import {
	useUserInfo
} from '@/stores/userInfo'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'

export function createApp() {
	const app = createSSRApp(App)
	app.use(pinia);
	
	// 全局挂载 useUserInfo，使 nvue 页面可以使用
	const userInfoStore = useUserInfo()
	uni.$store = {
		state: userInfoStore.$state,
		commit: (name: string, value: any) => {
			userInfoStore[name](value)
		}
	}
	
	return {
		app
	}
}
// #endif